﻿using System;
using System.Diagnostics;
using System.ServiceModel;
using System.Threading;

namespace ConsoleApplication1
{
    public class CallbackProc : ServiceReference1.IService1Callback
    {
        public void Finished(bool result)
        {
            Console.WriteLine(DateTime.Now + ": callback - " + result);
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine(Process.GetCurrentProcess().Id);

            CallbackProc callback = new CallbackProc();

            InstanceContext ic = new InstanceContext(callback);
            using (ServiceReference1.Service1Client sc = new ServiceReference1.Service1Client(ic))
            {
                Console.WriteLine("[calling] sc.GetData");
                sc.GetData(50);
                Console.WriteLine("[called] sc.GetData");
            }
        }
    }
}
